Auto-layout with AI
curl --request POST \
--url https://api.kynva.ai/api/v1/ai/auto-layout \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"content": {
"headline": "<string>",
"subheadline": "<string>",
"body": "<string>",
"cta": "<string>",
"images": [
"<string>"
],
"logo": "<string>"
},
"canvas": {
"width": 2098,
"height": 2098
},
"style": "professional",
"colors": [
"<string>"
],
"font": "<string>",
"suggestions": 1
}
'import requests
url = "https://api.kynva.ai/api/v1/ai/auto-layout"
payload = {
"content": {
"headline": "<string>",
"subheadline": "<string>",
"body": "<string>",
"cta": "<string>",
"images": ["<string>"],
"logo": "<string>"
},
"canvas": {
"width": 2098,
"height": 2098
},
"style": "professional",
"colors": ["<string>"],
"font": "<string>",
"suggestions": 1
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
content: {
headline: '<string>',
subheadline: '<string>',
body: JSON.stringify('<string>'),
cta: '<string>',
images: ['<string>'],
logo: '<string>'
},
canvas: {width: 2098, height: 2098},
style: 'professional',
colors: ['<string>'],
font: '<string>',
suggestions: 1
})
};
fetch('https://api.kynva.ai/api/v1/ai/auto-layout', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"suggestions": [
{
"template": {},
"confidence": 123,
"reasoning": "<string>"
}
]
}
}AI
Auto-layout with AI
Generate optimal template layouts using AI based on your content
POST
/
api
/
v1
/
ai
/
auto-layout
Auto-layout with AI
Authorizations
Your Kynva API key (kyn_live_xxx or kyn_test_xxx; legacy rf_ keys remain valid)
Body
application/json
Content to include in the template
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
professional, playful, luxury, minimal, energetic Brand colors (hex)
Primary font family
Required range:
1 <= x <= 3⌘I